{
  "name": "@budibase/worker",
  "email": "hi@budibase.com",
  "version": "2.0.40-alpha.4",
  "description": "Budibase background service",
  "main": "src/index.ts",
  "repository": {
    "type": "git",
    "url": "https://github.com/Budibase/budibase.git"
  },
  "keywords": [
    "budibase"
  ],
  "scripts": {
    "prebuild": "rimraf dist/",
    "build": "tsc -p tsconfig.build.json",
    "postbuild": "copyfiles -u 1 src/**/*.hbs dist/",
    "build:dev": "yarn prebuild && tsc --build --watch --preserveWatchOutput",
    "run:docker": "node dist/index.js",
    "debug": "yarn build && node --expose-gc --inspect=9223 dist/index.js",
    "run:docker:cluster": "pm2-runtime start pm2.config.js",
    "build:docker": "docker build . -t worker-service --label version=$BUDIBASE_RELEASE_VERSION",
    "dev:stack:init": "node ./scripts/dev/manage.js init",
    "dev:builder": "npm run dev:stack:init && nodemon",
    "test": "jest --runInBand",
    "test:watch": "jest --watch",
    "env:multi:enable": "node scripts/multiTenancy.js enable",
    "env:multi:disable": "node scripts/multiTenancy.js disable",
    "env:selfhost:enable": "node scripts/selfhost.js enable",
    "env:selfhost:disable": "node scripts/selfhost.js disable",
    "env:localdomain:enable": "node scripts/localdomain.js enable",
    "env:localdomain:disable": "node scripts/localdomain.js disable",
    "env:account:enable": "node scripts/account.js enable",
    "env:account:disable": "node scripts/account.js disable"
  },
  "author": "Budibase",
  "license": "GPL-3.0",
  "dependencies": {
    "@budibase/backend-core": "2.0.40-alpha.4",
    "@budibase/pro": "2.0.40-alpha.4",
    "@budibase/string-templates": "2.0.40-alpha.4",
    "@budibase/types": "2.0.40-alpha.4",
    "@koa/router": "8.0.8",
    "@sentry/node": "6.17.7",
    "@techpass/passport-openidconnect": "0.3.2",
    "@types/global-agent": "2.1.1",
    "aws-sdk": "2.1030.0",
    "bcryptjs": "2.4.3",
    "dotenv": "8.6.0",
    "elastic-apm-node": "3.38.0",
    "global-agent": "3.0.0",
    "got": "11.8.3",
    "joi": "17.6.0",
    "koa": "2.13.4",
    "koa-body": "4.2.0",
    "koa-compress": "4.0.1",
    "koa-passport": "4.1.4",
    "koa-pino-logger": "3.0.0",
    "koa-send": "5.0.1",
    "koa-session": "5.13.1",
    "koa-static": "5.0.0",
    "node-fetch": "2.6.7",
    "nodemailer": "6.7.2",
    "passport-google-oauth": "2.0.0",
    "passport-jwt": "4.0.0",
    "passport-local": "1.0.0",
    "pino-pretty": "4.8.0",
    "pouchdb": "7.3.0",
    "pouchdb-all-dbs": "1.1.1",
    "server-destroy": "1.0.1"
  },
  "devDependencies": {
    "@types/jest": "26.0.23",
    "@types/koa": "2.13.4",
    "@types/koa__router": "8.0.11",
    "@types/node": "14.18.20",
    "@types/pouchdb": "6.4.0",
    "@types/uuid": "8.3.4",
    "@typescript-eslint/parser": "5.12.0",
    "copyfiles": "2.4.1",
    "eslint": "6.8.0",
    "jest": "27.4.7",
    "nodemon": "2.0.15",
    "pouchdb-adapter-memory": "7.2.2",
    "prettier": "2.3.1",
    "rimraf": "3.0.2",
    "supertest": "6.2.2",
    "timekeeper": "2.2.0",
    "ts-jest": "27.1.3",
    "ts-node": "10.4.0",
    "tsconfig-paths": "4.0.0",
    "typescript": "4.5.5",
    "update-dotenv": "1.1.1"
  },
  "jest": {
    "preset": "ts-jest",
    "testEnvironment": "node",
    "moduleNameMapper": {
      "@budibase/backend-core/(.*)": "<rootDir>/../backend-core/$1",
      "@budibase/backend-core": "<rootDir>/../backend-core/src",
      "@budibase/types": "<rootDir>/../types/src"
    },
    "setupFiles": [
      "./scripts/jestSetup.js"
    ]
  },
  "gitHead": "d1836a898cab3f8ab80ee6d8f42be1a9eed7dcdc"
}
